Commit 90b6d9ff authored by femiadeyemi's avatar femiadeyemi
Browse files

update list of OWASP checks and upgrade spring boot

Motivation:

Some reported vulnerabilities of the dependencies by OWASP make
the pipeline broken.

Modification:

- upgrade spring boot starter parent version from 2.3.5.RELEASE
    to 2.3.10.RELEASE
- upgrade hibernate-validator from 6.0.19.Final to 6.2.0.Final
- updgrade neo4j-java-driver-spring-boot-starter from 4.1.1.0
    to 4.2.4.0
- update list of OWASP check and supress some false positive
    alarms

Result:

Build pipeline succeeds.

Target: master
parent 92e4e164
Pipeline #73468 passed with stages
in 9 minutes and 48 seconds